oracle.pgx.config

## Class GraphLoadingConfig

- java.lang.Object
- - oracle.pgx.config.AbstractConfig
  - - oracle.pgx.config.GraphLoadingConfig

-     @Generated(value="config_generator.py")
      public class GraphLoadingConfig
      extends AbstractConfig

  PGX Engine Graph Loading Config

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `GraphLoadingConfig.Field` Fields of PGX Engine Graph Loading Config

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `Charset` | `getCharset()` Gets the charset.
    `String` | `getFilterExpr()` if not `null`, load subgraph specified by this expression
    `Integer` | `getRefreshIntervalMs()` if non-negative, the graph gets refreshed periodically after specified milliseconds have passed.
    `Map<GraphLoadingConfig.Field,Object>` | `getValues()` Gets the parsed values.
    `Map<GraphLoadingConfig.Field,Object>` | `getValuesWithoutDefaults()` Gets the values without defaults.
    `boolean` | `hasDefaultValue(GraphLoadingConfig.Field field)` Checks for default value.
    `Boolean` | `isCreateEdgeIdIndex()` if `true`, an index is prepared during loading which enables retrieval of edge paths
    `Boolean` | `isCreateEdgeIdMapping()` if `true`, a mapping is prepared during loading which enables edge key arguments and filters containing edge keys
    `Boolean` | `isCreateVertexIdIndex()` if `true`, an index is prepared during loading which enables retrieval of vertex paths
    `Boolean` | `isCreateVertexIdMapping()` if `true`, a mapping is prepared during loading which enables vertex arguments and vertex filters
    `static GraphLoadingConfig` | `parse(InputStream is, boolean strict, File parent)` Parses an input stream.
    `static GraphLoadingConfig` | `parse(Map<String,Object> raw, boolean strict, File parent)` Parses a raw key/value mapping.
    `static GraphLoadingConfig` | `parse(Properties props, boolean strict)` Parses a properties file.
    `String` | `toString()`

    - ### Methods inherited from class oracle.pgx.config.AbstractConfig

      `setSerializable`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Method Detail

    - #### getCharset

          public Charset getCharset()

      Gets the charset.
      Returns:
        the charset

    - #### getFilterExpr

          public String getFilterExpr()

      if not `null`, load subgraph specified by this expression

    - #### getRefreshIntervalMs

          public Integer getRefreshIntervalMs()

      if non-negative, the graph gets refreshed periodically after specified milliseconds have passed. Note: only fixed (pre-loaded) graphs can be auto-refreshed.

    - #### getValues

          public Map<GraphLoadingConfig.Field,Object> getValues()

      Gets the parsed values.
      Returns:
        the parsed values

    - #### getValuesWithoutDefaults

          public Map<GraphLoadingConfig.Field,Object> getValuesWithoutDefaults()

      Gets the values without defaults.
      Returns:
        the values without defaults

    - #### hasDefaultValue

          public boolean hasDefaultValue(GraphLoadingConfig.Field field)

      Checks for default value.
      Parameters:
        `field` - the field
      Returns:
        true, if value for given field is the default value

    - #### isCreateEdgeIdIndex

          public Boolean isCreateEdgeIdIndex()

      if `true`, an index is prepared during loading which enables retrieval of edge paths

    - #### isCreateEdgeIdMapping

          public Boolean isCreateEdgeIdMapping()

      if `true`, a mapping is prepared during loading which enables edge key arguments and filters containing edge keys

    - #### isCreateVertexIdIndex

          public Boolean isCreateVertexIdIndex()

      if `true`, an index is prepared during loading which enables retrieval of vertex paths

    - #### isCreateVertexIdMapping

          public Boolean isCreateVertexIdMapping()

      if `true`, a mapping is prepared during loading which enables vertex arguments and vertex filters

    - #### parse

          public static GraphLoadingConfig parse(InputStream is,
                                 boolean strict,
                                 File parent)
                                          throws IOException

      Parses an input stream.
      Parameters:
        `is` - the input stream
        `strict` - if true, parses in strict mode
        `parent` - if not null, resolves relative paths against this parent
      Returns:
        the parsed graph config
      Throws:
        `IOException` - Signals that an I/O exception has occurred.

    - #### parse

          public static GraphLoadingConfig parse(Map<String,Object> raw,
                                 boolean strict,
                                 File parent)

      Parses a raw key/value mapping.
      Parameters:
        `raw` - the raw key/value mapping to parse
        `strict` - if true, parses in strict mode
        `parent` - if not null, resolves relative paths against this parent
      Returns:
        the parsed graph config

    - #### parse

          public static GraphLoadingConfig parse(Properties props,
                                 boolean strict)

      Parses a properties file.
      Parameters:
        `props` - the properties to parse
        `strict` - if true, parses in strict mode
      Returns:
        the parsed graph config

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

Copyright © 2015. All rights reserved.